Bug 24149 - Add new Koha::Statistic[s] classes
Summary: Add new Koha::Statistic[s] classes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 24151
  Show dependency treegraph
 
Reported: 2019-12-03 15:43 UTC by Jonathan Druart
Modified: 2020-02-06 23:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24149: Add Koha::Statistic[s] classes (2.95 KB, patch)
2019-12-03 16:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24149: Add Koha::Statistic->item (956 bytes, patch)
2019-12-03 16:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24149: Add tests (2.43 KB, patch)
2019-12-03 16:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24149: Add tests (2.49 KB, patch)
2020-01-11 16:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24149: Add Koha::Statistic[s] classes (3.01 KB, patch)
2020-01-23 05:51 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 24149: Add Koha::Statistic->item (1012 bytes, patch)
2020-01-23 05:51 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 24149: Add tests (2.54 KB, patch)
2020-01-23 05:51 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 24149: (QA follow-up) Add pod for Koha::Statistics->object_class (660 bytes, patch)
2020-01-23 05:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 24149: Skip Koha::Statistics for TestBuilder tests (1.86 KB, patch)
2020-01-24 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-12-03 15:43:32 UTC

    
Comment 1 Jonathan Druart 2019-12-03 16:41:35 UTC
Created attachment 95956 [details] [review]
Bug 24149: Add Koha::Statistic[s] classes

Sponsored-by: Association KohaLa - https://koha-fr.org/
Comment 2 Jonathan Druart 2019-12-03 16:41:49 UTC
Created attachment 95957 [details] [review]
Bug 24149: Add Koha::Statistic->item

Sponsored-by: Association KohaLa - https://koha-fr.org/
Comment 3 Jonathan Druart 2019-12-03 16:42:03 UTC
Created attachment 95958 [details] [review]
Bug 24149: Add tests
Comment 4 Jonathan Druart 2019-12-03 16:43:51 UTC
We are just adding new Koha::Statistic[s] classes (with tests) in case someone would need them.

They will be used by bug 24151.
Comment 5 Jonathan Druart 2020-01-11 16:40:42 UTC
Created attachment 97239 [details] [review]
Bug 24149: Add tests
Comment 6 Josef Moravec 2020-01-23 05:51:47 UTC
Created attachment 97776 [details] [review]
Bug 24149: Add Koha::Statistic[s] classes

Sponsored-by: Association KohaLa - https://koha-fr.org/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Josef Moravec 2020-01-23 05:51:52 UTC
Created attachment 97777 [details] [review]
Bug 24149: Add Koha::Statistic->item

Sponsored-by: Association KohaLa - https://koha-fr.org/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Josef Moravec 2020-01-23 05:51:59 UTC
Created attachment 97778 [details] [review]
Bug 24149: Add tests

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Josef Moravec 2020-01-23 05:52:04 UTC
Created attachment 97779 [details] [review]
Bug 24149: (QA follow-up) Add pod for Koha::Statistics->object_class

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 10 Martin Renvoize 2020-01-23 10:36:09 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Jonathan Druart 2020-01-24 08:45:31 UTC
Created attachment 97858 [details] [review]
Bug 24149: Skip Koha::Statistics for TestBuilder tests

As statistics does not have a PK we need to adjust the TestBuilder
tests.
Bug 18441 already exists for adding the PK.
Comment 12 Martin Renvoize 2020-01-24 08:48:11 UTC
Followup pushed, thanks Jonathan
Comment 13 Joy Nelson 2020-02-06 23:26:38 UTC
enhancement not backported to 19.11